"Initialize Image Building"
MCCacheRepository instVarNamed: 'default' put: nil.
Deprecation raiseWarning: false.!
"Load Pier 2"
Gofer new
	renggli: 'pier2';
	package: 'Pier-Model';
	package: 'Pier-Pharo-Model';
	package: 'Pier-Tests-Model';
	package: 'Pier-Seaside';
	package: 'Pier-Pharo-Seaside';
	package: 'Pier-Security';
	package: 'Pier-Tests-Security';
	package: 'Pier-Pharo-Persistency';
	package: 'Pier-Tests-Pharo-Persistency';
	package: 'Pier-Blog';
	package: 'Pier-Book';
	load.
!
"Load Pier 2 Addons"
Gofer new
	renggli: 'pier2addons';
	package: 'Pier-Setup';
	package: 'Pier-Design';
	package: 'Pier-Documents';
	package: 'Pier-EditorEnh';
	package: 'Pier-LinkChecker';
	package: 'Pier-Google';
	package: 'Pier-TagCloud';
	package: 'Pier-JQuery';
	package: 'Pier-Randomizer';
	load.
!
"Setup Pier"
PRPierFrame
	registerAsApplication: 'pier'
	kernel: PRDistribution new kernel.
WADispatcher default
	defaultName: 'pier'.!
"Background"
World color: Color white.
!
"Logo"
| stream morph |
World submorphs do: [ :each |
	each class = ImageMorph
		ifTrue: [ each delete ] ].
stream := HTTPSocket httpGet: 'http://www.piercms.com/files/d9/c0o7j748kn0oi311va11k6yy079jki/pier-logo.png'.
stream binary; reset.
morph := ((PNGReadWriter on: stream) nextImage
	magnifyBy: 0.25)
	asMorph.
morph left: 10; top: 10; lock: true; sticky: true.
World addMorph: morph.!
"Unload Build Tools"
[ Gofer new
	package: 'HudsonBuildTools';
	unload ]
		on: Error
		do: [ :err | "package not present" ].
!
"Clear Monticello Caches"
MCCacheRepository instVarNamed: 'default' put: nil.
MCFileBasedRepository flushAllCaches.
MCMethodDefinition shutDown.
MCDefinition clearInstances.
!
"Cleanup Smalltalk"
Smalltalk flushClassNameCache.
Smalltalk organization removeEmptyCategories.
Smalltalk allClassesAndTraitsDo: [ :each |
	each organization removeEmptyCategories; sortCategories.
	each class organization removeEmptyCategories; sortCategories ].
!
"Cleanup System Memory"
Author reset.
Smalltalk garbageCollect.
Symbol compactSymbolTable.
Deprecation raiseWarning: true.
!
"Save and Quit"
WorldState addDeferredUIMessage: [
	SmalltalkImage current snapshot: true andQuit: true ].!
